import { Node } from './node';
import 'gun/sea';
import 'gun/lib/then.js';
import { IGunChainReference } from 'gun/types/chain';
import { IGunConstructorOptions } from 'gun/types/options';
interface StackOptions {
    peers?: string[];
    app: string;
    gunOptions?: IGunConstructorOptions;
    gun?: IGunChainReference;
}
interface StackContext {
    gun: IGunChainReference;
    app: string;
}
interface Stack {
    node: <T = any>(path: string, put?: T) => Promise<Node<T>>;
    context: StackContext;
}
declare const createStack: ({ peers, app, gunOptions, gun }: StackOptions) => Promise<Stack>;
export { createStack, Stack, StackOptions, StackContext, Node };
