import { IGunChainReference } from 'gun/types/chain';
import { StackContext } from '.';
export interface NodeFile {
    /**
     * Mime-Type
     */
    type: string;
    /**
     * Size in bytes
     */
    size: number;
    /**
     * File content
     */
    data: number[];
}
export interface Node<T = any> {
    data?: T;
    on: (listener: (data: T) => void) => void;
    path: string;
    get: () => Promise<T>;
    put: (data: T) => Promise<T>;
    file: () => Promise<NodeFile>;
    putFile: (file: NodeFile) => void;
    ref: IGunChainReference;
}
export declare const getNode: (context: StackContext) => Promise<(<T = any>(path: string, put?: T | undefined) => Promise<Node<T>>)>;
